#ifndef HCSR04_h
#define HCSR04_h

#include "arduino.h"

class HCSR04ProxSensor // This is the class.
{
public: //constructor for HCSR04ProxSensor used in the Arduino code
	HCSR04ProxSensor(int echoPin, int triggerPin);
	float readSensor();
	float getLastValue();
private:
	int _triggerPin; //whole numer trigger pin
	int _echoPin; //whole number echo pin
	float _distance; //distance is floating to add decimals for accuracy
	float _lastValue; //last value is a floating to add decimals
};

#endif
